com.threerings.parlor.rating.server.persist

## Class PercentileRecord

- java.lang.Object
- - com.samskivert.depot.impl.QueryResult
  - - com.samskivert.depot.PersistentRecord
    - - com.threerings.parlor.rating.server.persist.PercentileRecord

All Implemented Interfaces:
  Serializable, Cloneable

    public class PercentileRecord
    extends PersistentRecord

Contains data for a `Percentiler` record.

See Also:
  Serialized Form

### Field Summary

Fields
`static Class<PercentileRecord>` `_R`
`byte[]` `data` The raw percentiler data.
`static ColumnExp<byte[]>` `DATA`
`static ColumnExp<Integer>` `GAME_ID`
`static ColumnExp<Integer>` `GAME_MODE`
`int` `gameId` The id of the game for which we're tracking a percentile distribution.
`int` `gameMode` The mode of the game.
`static int` `SCHEMA_VERSION` Increment this value to reflect changes to this object's schema.

### Constructor Summary

Constructors
Constructor and Description
`PercentileRecord()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Key<PercentileRecord>` `getKey(int gameId, int gameMode)` Create and return a primary `Key` to identify a `PercentileRecord` with the supplied key values.

### Methods inherited from class com.samskivert.depot.impl.QueryResult

`clone`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _R

    public static final Class<PercentileRecord> _R

#### GAME_ID

    public static final ColumnExp<Integer> GAME_ID

#### GAME_MODE

    public static final ColumnExp<Integer> GAME_MODE

#### DATA

    public static final ColumnExp<byte[]> DATA

#### SCHEMA_VERSION

    public static final int SCHEMA_VERSION

Increment this value to reflect changes to this object's schema.

See Also:
  Constant Field Values

#### gameId

    public int gameId

The id of the game for which we're tracking a percentile distribution.

#### gameMode

    public int gameMode

The mode of the game. Games can maintain distributions for many different modes.

#### data

    public byte[] data

The raw percentiler data.

### Constructor Detail

#### PercentileRecord

    public PercentileRecord()

### Method Detail

#### getKey

    public static Key<PercentileRecord> getKey(int gameId,
                                               int gameMode)

Create and return a primary `Key` to identify a `PercentileRecord` with the supplied key values.